import { TechlifyConfig } from "./techlify-config.model";
import * as i0 from "@angular/core";
/**
 * Service that provides settings for all other services
 *
 * @author Joshua Kissoon
 * @since 20170709
 */
export declare class ConfigService {
    static BASE_CREDENTIALS: string;
    private config;
    constructor(config: TechlifyConfig);
    getConfigsRaw(): any;
    getProjectKey(): string;
    getApiUrl(): string;
    getAuthClientSecret(): string;
    getStorage(): Storage;
    getAuthGrantType(): string;
    getCredentialsKey(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfigService>;
}
